libzypp 17.37.10

helix::detail Namespace Reference

## Classes
struct | AutoXmlFree
class | XmlNode

## Functions
bool | parseSetup (const XmlNode &setup, zypp::misc::testcase::TestcaseSetup &t, std::string *err)
bool | parseTrialNode (const XmlNode &node, zypp::misc::testcase::TestcaseTrial::Node &testcaseNode)
bool | parseTrial (const XmlNode &trial, zypp::misc::testcase::TestcaseTrial &target, std::string *)

## Function Documentation

## ◆ parseSetup()

bool helix::detail::parseSetup | ( | const XmlNode & | setup,
|  | zypp::misc::testcase::TestcaseSetup & | t,
|  | std::string * | err )

Definition at line 138 of file HelixHelpers.h.

## ◆ parseTrialNode()

bool helix::detail::parseTrialNode | ( | const XmlNode & | node,
|  | zypp::misc::testcase::TestcaseTrial::Node & | testcaseNode )

Definition at line 285 of file HelixHelpers.h.

## ◆ parseTrial()

bool helix::detail::parseTrial | ( | const XmlNode & | trial,
|  | zypp::misc::testcase::TestcaseTrial & | target,
|  | std::string * | )

Definition at line 303 of file HelixHelpers.h.